Skip to content

Update a Group Attribute

Request

Admin roles:
  • access_admin

Updates an Attribute for a Group

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

group_namestringrequired

The ASA Group name

attribute_idstringrequired

The UUID of the Attribute

Bodyapplication/jsonrequired
attribute_namestringrequired

Accepted names include unix_group_name, windows_group_name, and unix_gid.

Enum:"unix_group_name""windows_group_name""unix_gid"
attribute_valueunix_group_name (string) or windows_group_name (string) or unix_gid (integer)required
One of:

Accepted values for unix_group_name and windows_group_name are strings of length 0 to 255 and for unix_gid, a number between 100 to 2147483647.

<= 255 characters
string(unix_group_name)
PUT
/v1/teams/{team_name}/groups/{group_name}/attributes/{attribute_id}
curl -i -X PUT \
  'https://app.scaleft.com/v1/teams/{team_name}/groups/{group_name}/attributes/{attribute_id}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "attribute_name": "unix_group_name",
    "attribute_value": "new_name"
  }'

Responses

No Content